Create price
curl --request POST \
--url https://api.fabric.inc/v3/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
}
}
'import requests
url = "https://api.fabric.inc/v3/prices"
payload = {
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
priceListId: 100000,
itemId: 10000001,
itemSku: 'SKU0123456',
offers: {
startAt: '2019-08-24T14:15:22.000Z',
endAt: '2019-08-25T14:15:22.000Z',
price: {base: 299.99, sale: 199.99, cost: 148.99}
}
})
};
fetch('https://api.fabric.inc/v3/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'priceListId' => 100000,
'itemId' => 10000001,
'itemSku' => 'SKU0123456',
'offers' => [
'startAt' => '2019-08-24T14:15:22.000Z',
'endAt' => '2019-08-25T14:15:22.000Z',
'price' => [
'base' => 299.99,
'sale' => 199.99,
'cost' => 148.99
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/prices"
payload := strings.NewReader("{\n \"priceListId\": 100000,\n \"itemId\": 10000001,\n \"itemSku\": \"SKU0123456\",\n \"offers\": {\n \"startAt\": \"2019-08-24T14:15:22.000Z\",\n \"endAt\": \"2019-08-25T14:15:22.000Z\",\n \"price\": {\n \"base\": 299.99,\n \"sale\": 199.99,\n \"cost\": 148.99\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/prices")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"priceListId\": 100000,\n \"itemId\": 10000001,\n \"itemSku\": \"SKU0123456\",\n \"offers\": {\n \"startAt\": \"2019-08-24T14:15:22.000Z\",\n \"endAt\": \"2019-08-25T14:15:22.000Z\",\n \"price\": {\n \"base\": 299.99,\n \"sale\": 199.99,\n \"cost\": 148.99\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"priceListId\": 100000,\n \"itemId\": 10000001,\n \"itemSku\": \"SKU0123456\",\n \"offers\": {\n \"startAt\": \"2019-08-24T14:15:22.000Z\",\n \"endAt\": \"2019-08-25T14:15:22.000Z\",\n \"price\": {\n \"base\": 299.99,\n \"sale\": 199.99,\n \"cost\": 148.99\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"isDeleted": false,
"channelId": "12",
"currency": "USD",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
},
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z"
}{
"type": "TENANT_HEADER_REQUIRED",
"message": "x-fabric-tenant-id header is required"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "PRICE_LIST_NOT_FOUND",
"message": "No price list found with this ID"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Prices
Create price
Create or update price of an item based on given itemId and itemSku
POST
/
prices
Create price
curl --request POST \
--url https://api.fabric.inc/v3/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
}
}
'import requests
url = "https://api.fabric.inc/v3/prices"
payload = {
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
priceListId: 100000,
itemId: 10000001,
itemSku: 'SKU0123456',
offers: {
startAt: '2019-08-24T14:15:22.000Z',
endAt: '2019-08-25T14:15:22.000Z',
price: {base: 299.99, sale: 199.99, cost: 148.99}
}
})
};
fetch('https://api.fabric.inc/v3/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'priceListId' => 100000,
'itemId' => 10000001,
'itemSku' => 'SKU0123456',
'offers' => [
'startAt' => '2019-08-24T14:15:22.000Z',
'endAt' => '2019-08-25T14:15:22.000Z',
'price' => [
'base' => 299.99,
'sale' => 199.99,
'cost' => 148.99
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/prices"
payload := strings.NewReader("{\n \"priceListId\": 100000,\n \"itemId\": 10000001,\n \"itemSku\": \"SKU0123456\",\n \"offers\": {\n \"startAt\": \"2019-08-24T14:15:22.000Z\",\n \"endAt\": \"2019-08-25T14:15:22.000Z\",\n \"price\": {\n \"base\": 299.99,\n \"sale\": 199.99,\n \"cost\": 148.99\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/prices")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"priceListId\": 100000,\n \"itemId\": 10000001,\n \"itemSku\": \"SKU0123456\",\n \"offers\": {\n \"startAt\": \"2019-08-24T14:15:22.000Z\",\n \"endAt\": \"2019-08-25T14:15:22.000Z\",\n \"price\": {\n \"base\": 299.99,\n \"sale\": 199.99,\n \"cost\": 148.99\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"priceListId\": 100000,\n \"itemId\": 10000001,\n \"itemSku\": \"SKU0123456\",\n \"offers\": {\n \"startAt\": \"2019-08-24T14:15:22.000Z\",\n \"endAt\": \"2019-08-25T14:15:22.000Z\",\n \"price\": {\n \"base\": 299.99,\n \"sale\": 199.99,\n \"cost\": 148.99\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"isDeleted": false,
"channelId": "12",
"currency": "USD",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
},
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z"
}{
"type": "TENANT_HEADER_REQUIRED",
"message": "x-fabric-tenant-id header is required"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "PRICE_LIST_NOT_FOUND",
"message": "No price list found with this ID"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Required string length:
24A unique identifier obtained from Copilot for the System app in the fabric ecosystem, essential for OpenID Connect authentication flows.
Body
application/json
Details to create prices for an item
Response
Created
Was this page helpful?
